summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Mark Walling <markwalling@gmail.com>2010-05-11 15:18:40 +0200
committer Michiel van Wessem <michiel@slackbuilds.org>2010-05-11 15:18:40 +0200
commite1471001dc486730939676695fb5db1430c4516a (patch)
treec9f72e1c69bceea262b07dec3f11ad79ae8e8e79
parent4234c7c57ad3d15b16af8ef978ff81b4c6c8e192 (diff)
downloadslackbuilds-e1471001dc486730939676695fb5db1430c4516a.tar.gz
slackbuilds-e1471001dc486730939676695fb5db1430c4516a.tar.xz
system/moto4lin: Initial import
-rw-r--r--system/moto4lin/README16
-rw-r--r--system/moto4lin/doinst.sh3
-rw-r--r--system/moto4lin/moto4lin.SlackBuild73
-rw-r--r--system/moto4lin/moto4lin.desktop7
-rw-r--r--system/moto4lin/moto4lin.info8
-rw-r--r--system/moto4lin/moto4lin.pngbin0 -> 6553 bytes
-rw-r--r--system/moto4lin/slack-desc8
7 files changed, 115 insertions, 0 deletions
diff --git a/system/moto4lin/README b/system/moto4lin/README
new file mode 100644
index 0000000000..aa98502396
--- /dev/null
+++ b/system/moto4lin/README
@@ -0,0 +1,16 @@
+moto4lin - Motorola for Linux
+
+The moto4lin software is intended to be used with Motorola telephones
+based on the P2K platform. It allows for filesystem access to the
+phone (for both uploading and downloading), and SEEM bit editing.
+
+http://moto4lin.sourceforge.net
+
+This program requires read/write access to the phone device. This can
+be accomplished by either running as root, suid the executable, or
+changing the permissions on the device. The second and third options
+are covered on the moto4lin wiki.
+
+Also, some newer phones may not work with this version of the code,
+and will need the latest code from SVN to work properly (this includes
+the RAZRs).
diff --git a/system/moto4lin/doinst.sh b/system/moto4lin/doinst.sh
new file mode 100644
index 0000000000..306b711d3e
--- /dev/null
+++ b/system/moto4lin/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x usr/bin/update-desktop-database ];
+ then usr/bin/update-desktop-database -q usr/share/applications
+fi
diff --git a/system/moto4lin/moto4lin.SlackBuild b/system/moto4lin/moto4lin.SlackBuild
new file mode 100644
index 0000000000..0dd0b00c9d
--- /dev/null
+++ b/system/moto4lin/moto4lin.SlackBuild
@@ -0,0 +1,73 @@
+#!/bin/sh
+
+# Slackware build script for moto4lin
+# Copyright (c) 2007, Written by Mark Walling <markwalling@gmail.com>
+
+# All rights reserved.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions are
+# met:
+#
+# * Redistributions of source code must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
+# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
+# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
+# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
+# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
+# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
+# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
+# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
+# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
+# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+set -e
+
+PRGNAM=moto4lin
+VERSION=0.3
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar -xjvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+qmake
+make
+# target directory is borked, have to do it by hand
+mkdir -p $PKG/usr/bin
+install -m0755 -o root -g root moto_ui/moto4lin $PKG/usr/bin
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a GPL-2 Changelog README INSTALL $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/usr/share/{applications,pixmaps}
+cp $CWD/$PRGNAM.png $PKG/usr/share/pixmaps/$PRGNAM.png
+cat $CWD/$PRGNAM.desktop > $PKG/usr/share/applications/$PRGNAM.desktop
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/system/moto4lin/moto4lin.desktop b/system/moto4lin/moto4lin.desktop
new file mode 100644
index 0000000000..fc65d2e8a1
--- /dev/null
+++ b/system/moto4lin/moto4lin.desktop
@@ -0,0 +1,7 @@
+[Desktop Entry]
+Type=Application
+Terminal=false
+Name=moto4lin
+Exec=moto4lin
+Icon=/usr/share/pixmaps/moto4lin.png
+Categories=Application;Utility \ No newline at end of file
diff --git a/system/moto4lin/moto4lin.info b/system/moto4lin/moto4lin.info
new file mode 100644
index 0000000000..100d550399
--- /dev/null
+++ b/system/moto4lin/moto4lin.info
@@ -0,0 +1,8 @@
+PRGNAM="moto4lin"
+VERSION="0.3"
+HOMEPAGE="http://moto4lin.sourceforge.net"
+DOWNLOAD="http://downloads.sourceforge.net/moto4lin/moto4lin-0.3.tar.bz2"
+MD5SUM="f9e5edbc08a45ac98679e4d34d5e3574"
+MAINTAINER="Mark Walling"
+EMAIL="markwalling@gmail.com"
+APPROVED="BP{k}"
diff --git a/system/moto4lin/moto4lin.png b/system/moto4lin/moto4lin.png
new file mode 100644
index 0000000000..acf2f76382
--- /dev/null
+++ b/system/moto4lin/moto4lin.png
Binary files differ
diff --git a/system/moto4lin/slack-desc b/system/moto4lin/slack-desc
new file mode 100644
index 0000000000..c8ff747849
--- /dev/null
+++ b/system/moto4lin/slack-desc
@@ -0,0 +1,8 @@
+moto4lin: moto4lin - Motorola for Linux
+moto4lin:
+moto4lin: The moto4lin software is intended to be used with Motorola telephones
+moto4lin: based on the P2K platform. It allows for filesystem access to the
+moto4lin: phone (for both uploading and downloading), and SEEM bit editing.
+moto4lin:
+moto4lin: http://moto4lin.sourceforge.net
+moto4lin: